Search documentation of ExStreamClient

# ExStreamClient.Model.ModerationActionConfig (ExStreamClient v0.1.10)

View Source

Schema representing a ModerationActionConfig

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.ModerationActionConfig{
      action: String.t(),
      custom: %{optional(String.t()) => any()},
      description: String.t(),
      entity_type: String.t(),
      icon: String.t(),
      order: integer()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()